ProducerSync API

Get address by ID

Retrieves a single address record using its unique address ID.

get
https://api.sandbox.agentsync.io/v1/addresses/{id}

Path Parameters

idintegerrequired

Unique address ID

Response

application/hal+json

Success

AddressV1

Common address fields shared across versions.

idinteger(int64)

Unique identifier for the address.

Example:1234567

npnstring

National Producer Number associated with the address.

Example:18551108

transactionIdstring(uuid)

Example:ae51f10b-8b5e-40ba-98a9-8f860392b344

typestring

Type of address. One of BUSINESS, MAILING, RESIDENCE

Allowed values:BUSINESSMAILINGRESIDENCE

Example:BUSINESS

forStatestring

State where the address applies.

>= 2 characters<= 2 characters

Example:AL

branchIdstring

Identifier for a related branch, if applicable.

niprDateUpdatedstring(date)

Last date NIPR reported an update to this address.

Example:2024-12-01

createdAtstring(date)

Date of the creation of this record in AgentSync.

Example:2021-04-04

updatedAtstring(date)

Date of the most recent update to this record in AgentSync.

Example:2024-12-02

line1string

Street address.

Example:789 S Washington Ave

citystring

City of the address.

Example:Denver

statestring

State of the address.

Example:CO

zipstring

ZIP or postal code.

Example:80211

countrystring

Country of the address.

Example:U.S.A.

niprDeletedboolean

Indicates if the address was marked deleted by NIPR.

linksobject
Show Child Parameters
 
application/hal+json

Producer Appointments

Appointment information for producers

Get appointments for subscribed NPNs

Returns all appointment records for NPNs you are currently subscribed to.

If no query parameters are provided in the request, then the response will include all appointments
for all currently subscribed NPNs. To maximize effectiveness, we strongly recommend using at least one
parameter to narrow your results.

get
https://api.sandbox.agentsync.io/v2/appointments

Query Parameters

npnsarray[string]

comma separated list of National Producer Numbers (NPNs)

Example:123456789, 987654321

statesarray[string]

comma separated list of states abbreviations (must be 2 characters) - this will filter on the forState field

Example:MO, CA, CO

coCodesstring

comma separated list of company/co codes (must by 5 digits) - this will filter on the coCode field

Example:24740,70408,21458

statusstring

A single appointment status to search for. This is an exact string match of either TERMINATED or APPOINTED - this will filter on the status field

Allowed values:TERMINATEDAPPOINTED

Example:TERMINATED

loaCategoriesarray[string]

comma seperated list of loa categories - this will filter on the loaMapping.categories array (it will return all records containing at least one of the values passed)

Example:casualty, property

updatedSincestring(date)

limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field

Example:2024-10-15

includeDeletedboolean

specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field

Default:true

sizeinteger(int64)

the number of objects on the page (min = 1 / max = 1,000)

Default:250

>= 1<= 1000

continuationTokenstring

Token for fetching the next page of results

Response

application/hal+json

Success

embeddedobject
Show Child Parameters
linksobject
Show Child Parameters
 
application/hal+json

Get appointments for a specific NPN

Returns all appointments associated with a specific NPN. If you’re not already subscribed, this request will automatically subscribe you to the NPN.

get
https://api.sandbox.agentsync.io/v2/entities/{npn}/appointments

Query Parameters

statesarray[string]

comma separated list of states abbreviations (must be 2 characters) - this will filter on the forState field

Example:MO, CA, CO

coCodesstring

comma separated list of company/co codes (must by 5 digits) - this will filter on the coCode field

Example:24740,70408,21458

statusstring

A single appointment status to search for. This is an exact string match of either TERMINATED or APPOINTED - this will filter on the status field

Allowed values:TERMINATEDAPPOINTED

Example:TERMINATED

loaCategoriesarray[string]

comma seperated list of loa categories - this will filter on the loaMapping.categories array (it will return all records containing at least one of the values passed)

Example:casualty, property

updatedSincestring(date)

limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field

Example:2024-10-15

includeDeletedboolean

specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field

Default:true

sizeinteger(int64)

the number of objects on the page (min = 1 / max = 1,000)

Default:250

>= 1<= 1000

continuationTokenstring

Token for fetching the next page of results

Path Parameters

npnstringrequired

National Producer Number (npn) of the data to return

Example:123456789

Response

application/hal+json

Success

embeddedobject
Show Child Parameters
linksobject
Show Child Parameters
 
application/hal+json

Get appointment by ID

Retrieves a single appointment record using its unique address ID.

get
https://api.sandbox.agentsync.io/v1/appointments/{id}

Path Parameters

idintegerrequired

Unique appointment ID

Response

application/hal+json

Success

AppointmentsV1

Base schema containing common appointment fields.

idinteger(int64)

Unique identifier for the appointment.

Example:1234567

npnstring

National Producer Number associated with the appointment.

Example:18551108

transactionIdstring(uuid)

Example:ae51f10b-8b5e-40ba-98a9-8f860392b344

forStatestring

Two-letter state code where the appointment applies.

>= 2 characters<= 2 characters

Example:AL

branchIdstring

Optional branch identifier.

companyNamestring

Name of the appointing insurance company.

Example:My Insurance Company

feinIdstring

Federal Employer Identification Number (FEIN) of the company.

coCodestring

5-digit company code.

>= 5 characters<= 5 characters

Example:98765

loastring

Line of Authority (LOA) name.

Example:Property

loaCodestring

Line of Authority code (may be numeric or alphanumeric).

Example:12

statusstring

Appointment status (e.g., Active, Terminated).

Example:Terminated

statusReasonDatestring(date)

Date when the current status took effect.

Example:2024-02-29

createdAtstring(date)

Date of the creation of this record in AgentSync.

Example:2021-04-04

updatedAtstring(date)

Date of the most recent update to this record in AgentSync.

Example:2024-12-02

terminationReasonstring

Reason for termination, if applicable.

Example:Not for Cause

countyCodestring

Optional county code.

loaMappingobject
Show Child Parameters
niprDeletedboolean

Indicates if the appointment is marked as deleted by NIPR.

linksobject
Show Child Parameters
 
application/hal+json